Bug 1078552 - New Partitioner does not allow to mount unsupported existing filesystems
New Partitioner does not allow to mount unsupported existing filesystems
Status: CONFIRMED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: YaST2
Leap 15.0
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: YaST Team
Jiri Srain
https://trello.com/c/p53XP7Pp
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-31 16:30 UTC by Per Jessen
Modified: 2021-03-09 14:01 UTC (History)
9 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Per Jessen 2018-01-31 16:30:00 UTC
In the expert partitioner, the file systems are displayed as TODO.  When I
tried to mount a previously formatted volume, it wouldn't let me.  For testing that's okay, but otherwise it's a show-stopper.
Comment 1 Josef Reidinger 2018-01-31 16:36:49 UTC
file systems as TODO is already reported. But mounting previously formatted volume should work.

Ancor - is it known issue that it cannot be mounted?
Comment 2 José Iván López González 2018-01-31 16:51:20 UTC
TODO labels were replaced by correct data in version 4.0.73 of package yast2-storage-ng. What version is used in your build image?

And please, could you attach y2logs? See https://en.opensuse.org/openSUSE:Report_a_YaST_bug#I_reported_a_YaST2_bug.2C_and_now_I_am_asked_to_.22attach_y2logs.22_.28for_package_installation_also_.22libzypp_logging.22.29._What_does_that_mean.2C_and_how_do_I_do_that.3F
Comment 3 Per Jessen 2018-01-31 16:52:47 UTC
(In reply to Josef Reidinger from comment #1)
> file systems as TODO is already reported. But mounting previously formatted
> volume should work.

Sorry, it wasn't the 'FS type' column, it is called just 'Type'. 

The option to mount can't be selected.  This is a JFS volume - with e.g. ext4, it works.  Oh, I see, it isn't even recognised as a JFS volume.
Comment 4 Per Jessen 2018-01-31 17:40:19 UTC
(In reply to José Iván López González from comment #2)
> TODO labels were replaced by correct data in version 4.0.73 of package
> yast2-storage-ng. What version is used in your build image?

Whatever was in the repo - 

I presume:
yast2-storage-ng-4.0.76-lp150.1.1.noarch.rpm
Comment 5 Per Jessen 2018-01-31 18:11:28 UTC
(In reply to Per Jessen from comment #4)
> (In reply to José Iván López González from comment #2)
> > TODO labels were replaced by correct data in version 4.0.73 of package
> > yast2-storage-ng. What version is used in your build image?
> 
> Whatever was in the repo - 
> 
> I presume:
> yast2-storage-ng-4.0.76-lp150.1.1.noarch.rpm

Looks like this was only just pushed out to the mirrors in the last hour or so. I am just now running a new installatrion, the TODO is gone.  I still can't mount the volume with a JFS filesystem.
Comment 6 Ancor Gonzalez Sosa 2018-01-31 18:39:37 UTC
(In reply to Per Jessen from comment #3)
>
> The option to mount can't be selected.  This is a JFS volume - with e.g.
> ext4, it works.  Oh, I see, it isn't even recognised as a JFS volume.

JFS support is being dropped. That's intentional.
Comment 7 Per Jessen 2018-01-31 19:28:42 UTC
(In reply to Ancor Gonzalez Sosa from comment #6)
> (In reply to Per Jessen from comment #3)
> >
> > The option to mount can't be selected.  This is a JFS volume - with e.g.
> > ext4, it works.  Oh, I see, it isn't even recognised as a JFS volume.
> 
> JFS support is being dropped. That's intentional.

How do we mount existing filesystems then?  I guess it's not important to you, but for us that is a complete show-stopper.  Would upgrades work?
Comment 8 Anton Aylward 2018-01-31 21:06:31 UTC
(In reply to Ancor Gonzalez Sosa from comment #6)
> (In reply to Per Jessen from comment #3)
> >
> > The option to mount can't be selected.  This is a JFS volume - with e.g.
> > ext4, it works.  Oh, I see, it isn't even recognised as a JFS volume.
> 
> JFS support is being dropped. That's intentional.

Is that because support for JFS upstream has been dropped?


But ... Let me get this right.
You're dropping support for JFS and for ReiserFS.
They are both B-tree file systems that support dynamic allocation, rather than the fixed-at-mkfs-time of Ext4.

That fixed-at-mkfs-time attitude dates back to the 1960s/1970s and the original UNIX simple & limited kernel code space attitudes.  The professional/commercial systems such as AIX etc aren't stuck in this antediluvian attitudes.  AIX is where JFS originated.

Will that last remaining "other" FS that uses dynamic allocation, XFS, be depreciated as well, forcing us to use BtrFS -- the "one file system to rule all disks" FS -- if there is any uncertainty about the way storage will be used?
Comment 9 Ancor Gonzalez Sosa 2018-02-02 10:51:21 UTC
(In reply to Per Jessen from comment #7)
> (In reply to Ancor Gonzalez Sosa from comment #6)
> > (In reply to Per Jessen from comment #3)
> > >
> > > The option to mount can't be selected.  This is a JFS volume - with e.g.
> > > ext4, it works.  Oh, I see, it isn't even recognised as a JFS volume.
> > 
> > JFS support is being dropped. That's intentional.
> 
> How do we mount existing filesystems then?  I guess it's not important to
> you, but for us that is a complete show-stopper.  Would upgrades work?

I don't think upgrades will work. And handling of existing filesystems will need to be done "by hand", the installer and the Expert Partitioner will not handle those filesystems, AFAIK.

(In reply to Anton Aylward from comment #8)
>
> Is that because support for JFS upstream has been dropped?

Yes, I think so.

> But ... Let me get this right.
> You're dropping support for JFS and for ReiserFS.

Both has been discontinued by upstream, not (open)SUSE. That leaves very few options for us.

> Will that last remaining "other" FS that uses dynamic allocation, XFS, be
> depreciated as well

I don't think XFS will fall in disgrace in the Linux kernel and/or upstream community anytime soon. But that's out of our control.

So I'm closing the bug because the TODOs are gone and the drop of JFS support is intentional. Works as expected.

On the other hand. If your are not satisfied with the answers I have added Jiri Srain and Arvin to CC. They can give you better insights about the reasons behind such decision.
Comment 10 Per Jessen 2018-02-02 11:12:12 UTC
(In reply to Ancor Gonzalez Sosa from comment #9)
> (In reply to Anton Aylward from comment #8)
> >
> > Is that because support for JFS upstream has been dropped?
> 
> Yes, I think so.
>
> > But ... Let me get this right.
> > You're dropping support for JFS and for ReiserFS.
> 
> Both has been discontinued by upstream, not (open)SUSE. That leaves very few
> options for us.

Which upstream is that?   JFS is alive and well, afaict.
Comment 11 Josef Reidinger 2018-02-02 11:17:20 UTC
JFS drop is old feature number 2105 ( sorry private only as it is really ancient ).

Quoting from it (not all info is up to date, consider that it is 11 years old, so it is dropped for long time):

Drop JFS filesystem.

We have too many filesystems. We support 4 full-featured journalled 
local filesystems (ext3, reiserfs3, XFS and JFS) currently and 
new ones are appearing (reiser4, ext4?).

ext3 and reiserfs3 both are solid filesystems with good performance. 
For special applications, you might need better scalability or 
special features support (e.g. DMAPI). JFS and XFS offer somewhat 
more here (than ext3 or reiserfs3). However, XFS performs a bit 
better, gets much more testing and is well supported from sgi. 
JFS has more issues and the support from IBM is not as good.

Thus, JFS should be dropped from the list of filesystems offered 
in the SLES10 installer and should be marked unsupported (unless 
IBM commits to eXternally supporting it).

It should be marked deprecated in the release notes of SLES10 
and dropped for SLES11.

Note that SUSE Linux 9.3 already does not support JFS in YaST and 
mentions this in the release notes.
Comment 12 Per Jessen 2018-02-02 11:28:23 UTC
(In reply to Josef Reidinger from comment #11)
> JFS drop is old feature number 2105 ( sorry private only as it is really
> ancient ).
> 
> Quoting from it (not all info is up to date, consider that it is 11 years
> old, so it is dropped for long time):

Mounting and installing on JFS file systems has been working up until 42.3, no problems. 

> JFS has more issues and the support from IBM is not as good.

I submit there are no current issues with JFS and developer support is excellent. I ran into a minor fstrim issue only a week ago and had a patch within 70minutes. 

> Note that SUSE Linux 9.3 already does not support JFS in YaST and 
> mentions this in the release notes.

Like I said, mounting and installing JFS file systems has been working up until 42.3, no problems whatsoever.
Comment 13 Josef Reidinger 2018-02-02 11:58:50 UTC
reopening as I found that it is regression that storage-ng missing this feature: https://fate.suse.com/100401 ( basically allow to use unsupported filesystem )
Comment 14 Ancor Gonzalez Sosa 2018-02-02 15:09:17 UTC
Ok, so I will add this to the storage-ng list of pending tasks as an option in the expert partitioner to mount an existing filesystem of unsupported type.

Please, keep in mind that will not imply that such filesystems can be manipulated by YaST or that having an installation of Leap15 on top of JFS would be an scenario supported by the installer at all. We can't even guarantee (not under our control) that the Leap15 kernel will be able to deal with such filesystems.
Comment 15 Lukas Ocilka 2018-02-02 16:40:08 UTC
Please, make sure that it's obvious that the FS is unsupported.

Moreover, I'm afraid, that Kernel in 15 might not include the JFS support
at all, so it might not work at the end, but a general "let's try" (confirmed
by user) could work.

Per, the point is, that we usually don't allow for unsupported scenarios
and as SLES, SLED etc. use the very same code, it might be considered as
bug if we allow using JFS and then it fails somewhere. I even think we have
a feature request that says: Do not allow ...

Anyway, let's try.
Comment 16 Per Jessen 2018-02-02 19:43:47 UTC
(In reply to Ancor Gonzalez Sosa from comment #14)
> Ok, so I will add this to the storage-ng list of pending tasks as an option
> in the expert partitioner to mount an existing filesystem of unsupported
> type.
> 
> Please, keep in mind that will not imply that such filesystems can be
> manipulated by YaST 

Understood. That's how it's been since almost 10 years. (for JFS). 

> or that having an installation of Leap15 on top of JFS
> would be an scenario supported by the installer at all. 

Ditto. 

> We can't even guarantee (not under our control) that the Leap15 kernel will 
> be able to deal with such filesystems.

Understood. 

From my point of view, I am happy as long as I can mount a JFS file system during the install.
Comment 17 Per Jessen 2018-02-02 19:55:28 UTC
(In reply to Lukas Ocilka from comment #15)
> Please, make sure that it's obvious that the FS is unsupported.
> 

I completely accept that, I'm happy to add that here. 

> Moreover, I'm afraid, that Kernel in 15 might not include the JFS support
> at all, so it might not work at the end, but a general "let's try" (confirmed
> by user) could work.

That would of course be a problem, I hope noone is so small-minded to want to exclude a file-system module from the kernel.  (unless it's coming from kernel upstream). 

> Per, the point is, that we usually don't allow for unsupported scenarios
> and as SLES, SLED etc. use the very same code, it might be considered as
> bug if we allow using JFS and then it fails somewhere. I even think we have
> a feature request that says: Do not allow ...
> 
> Anyway, let's try.

Lukas, thanks for explaining it, I appreciate it.  I do understand you guys have a different point of view to work with.
Comment 18 Ancor Gonzalez Sosa 2021-03-09 14:01:35 UTC
I updated the status to fit our search filters. This task is still queued in the YaST Team backlog.